Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.messaging.core
Interface Message

All Superinterfaces:
  Routable, java.io.Serializable

All Known Implementing Classes:
  MessageSupport

public interface Message
extends Routable

A message is a routable instance that has a payload. The payload is opaque to the messaging system. When implementing this interface, make sure you override equals() and hashCode() such that two Message instances with equals IDs are equal.

Version:
  `$Revision: 1.8 $` $Id: Message.java,v 1.8 2006/03/28 22:12:25 ovidiu Exp $
Author:
  Ovidiu Feodorov, Tim Fox

Field Summary

Fields inherited from interface org.jboss.messaging.core.Routable
`COLLECTOR_ID, REMOTE_ROUTABLE, REPLICATOR_ID`

Method Summary
`void` | `decPersistentChannelCount()`
`java.io.Serializable` | `getPayload()`
`byte[]` | `getPayloadAsByteArray()`
`int` | `getPersistentChannelCount()`
`void` | `incPersistentChannelCount()`

Methods inherited from interface org.jboss.messaging.core.Routable
`containsHeader, getDeliveryCount, getExpiration, getHeader, getHeaderNames, getHeaders, getMessage, getMessageID, getPriority, getTimestamp, incrementDeliveryCount, isExpired, isRedelivered, isReference, isReliable, putHeader, removeHeader, setDeliveryCount, setPriority, setRedelivered`

Method Detail

### getPayload

    public java.io.Serializable getPayload()

### getPayloadAsByteArray

    public byte[] getPayloadAsByteArray()

### incPersistentChannelCount

    public void incPersistentChannelCount()

### decPersistentChannelCount

    public void decPersistentChannelCount()

### getPersistentChannelCount

    public int getPersistentChannelCount()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.